Aria: ArSimpleConnector Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArSimpleConnector Class Reference

`#include <ArSimpleConnector.h>`

List of all members.

## Detailed Description

Legacy connector for robot and laser.

This is deprecated but is left in for compatibility with old code, Instead use ArRobotConnector to set up ArRobot's connection to the robot, and ArLaserConnector to set up connections with laser rangefinder devices.

Deprecated:
  Use ArRobotConnector and ArLaserConnector instead

## Public Member Functions
| ArSimpleConnector (ArArgumentParser *parser)
| Constructor that takes argument parser.
| ArSimpleConnector (ArArgumentBuilder *arguments)
| Constructor that takes argument builder.
| ArSimpleConnector (int *argc, char **argv)
| Constructor that takes args from the main.
bool | connectLaser (ArSick *laser)
| Connects the laser synchronously (will take up to a minute).
bool | connectLaserArbitrary (ArSick *laser, int laserNumber)
| Connects the laser synchronously (make sure you setMaxNumLasers).
bool | connectRobot (ArRobot *robot)
| Sets up the robot then connects it.
bool | connectSecondLaser (ArSick *laser)
| Connects the laser synchronously (will take up to a minute).
void | logOptions (void) const
| Log the options the simple connector has.
bool | parseArgs (ArArgumentParser *parser)
| Function to parse the arguments given in an arbitrary parser.
bool | parseArgs (void)
| Function to parse the arguments given in the constructor.
void | setMaxNumLasers (int maxNumLasers=1)
| Sets the number of possible lasers.
bool | setupLaser (ArSick *laser)
| Sets up the laser to be connected.
bool | setupLaserArbitrary (ArSick *laser, int laserNumber)
| Sets up a laser t obe connected (make sure you setMaxNumLasers).
bool | setupRobot (ArRobot *robot)
| Sets up the robot to be connected.
bool | setupSecondLaser (ArSick *laser)
| Sets up a second laser to be connected.
| ~ArSimpleConnector (void)
| Destructor.
## Protected Member Functions
void | finishConstructor (void)
| Finishes the stuff the constructor needs to do.
## Protected Attributes
ArLaserConnector * | myLaserConnector
bool | myOwnParser
ArArgumentParser * | myParser
ArRobotConnector * | myRobotConnector

The documentation for this class was generated from the following file:

- ArSimpleConnector.h